For the complete documentation index, see llms.txt. This page is also available as Markdown.

/refunds

post

Get refunds for your account. Filter by time range, block range, and payout status. Supports pagination with limit and offset.

Compression

Optional HTTP compression is supported.

Request: Clients may compress the JSON request body and specify the encoding via the Content-Encoding header.

Response: Clients may request responses to be compressed by specifying encodings via the Accept-Encoding header.

Supported encodings:

  • zstd

  • gzip

  • br (Brotli)

Authorizations
Path parameters
chainstring · enumRequired

Chain to query for

Example: ethPossible values:
Query parameters
api_keystringRequiredExample: docs-demo
Body
end_blockinteger · nullableOptional
end_timestring · nullableOptional
limitintegerOptionalDefault: 100000
offsetintegerOptional
payout_statusstring · nullableOptional
start_blockinteger · nullableOptional
start_timestring · nullableOptional
Responses
200Success
application/json
countintegerRequired
post/v1/{chain}/refunds
POST /v1/{chain}/refunds?api_key=text HTTP/1.1
Host: api.novarpc.xyz
Content-Type: application/json
Accept: */*
Content-Length: 95

{
  "start_time": "2025-11-25T00:00:00Z",
  "end_time": "2025-11-26T00:00:00Z",
  "limit": 1000,
  "offset": 0
}
200Success
{
  "refunds": [
    {
      "order_hash": "0xc5039a7241d18baa14c04f239ed998371a12e2760d42fb871de28ba5e4f95b92",
      "block_number": 24120019,
      "refunded_amount": "1350000000000000",
      "payout_status": "Pending",
      "paid_at": null,
      "is_mev_refund": false
    }
  ],
  "count": 1
}

Last updated